Package org.apache.tomcat.util.net

## Class SocketProcessorBase<S>

- java.lang.Object
- - org.apache.tomcat.util.net.SocketProcessorBase<S>

All Implemented Interfaces:
  `Runnable`

Direct Known Subclasses:
  `Nio2Endpoint.SocketProcessor`, `NioEndpoint.SocketProcessor`

    public abstract class SocketProcessorBase<S>
    extends Object
    implements Runnable

### Field Summary

Fields
`protected SocketEvent` `event`
`protected SocketWrapperBase<S>` `socketWrapper`

### Constructor Summary

Constructors
`SocketProcessorBase​(SocketWrapperBase<S> socketWrapper, SocketEvent event)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract void` `doRun()`
`void` `reset​(SocketWrapperBase<S> socketWrapper, SocketEvent event)`
`void` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### socketWrapper

    protected SocketWrapperBase<S> socketWrapper

#### event

    protected SocketEvent event

### Constructor Detail

#### SocketProcessorBase

    public SocketProcessorBase​(SocketWrapperBase<S> socketWrapper,
                               SocketEvent event)

### Method Detail

#### reset

    public void reset​(SocketWrapperBase<S> socketWrapper,
                      SocketEvent event)

#### run

    public final void run()

Specified by:
  `run` in interface `Runnable`

#### doRun

    protected abstract void doRun()